org.apache.lucene.luke.app

## Interface DirectoryObserver

All Superinterfaces:
  Observer

    public interface DirectoryObserver
    extends Observer

Directory open/close observer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeDirectory()`
`void` `openDirectory(LukeState state)`

### Method Detail

#### openDirectory

    void openDirectory(LukeState state)

#### closeDirectory

    void closeDirectory()